Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.treetable
Class DefaultTreeTableModel

    java.lang.Object
      echopointng.treetable.AbstractTreeTableModel
          echopointng.treetable.DefaultTreeTableModel

All Implemented Interfaces:
  TreeModel, TreeTableModel

    public class DefaultTreeTableModel

extends AbstractTreeTableModel

DefaultTreeTableModel is a concrete implementation of `AbstractTreeTableModel` and is provided purely as a convenience. Applications that use `TreeTable` are expected to provide their own implementation of a `TreeTableModel`, perhaps by extending this class.

Field Summary
`protected boolean` | `asksAllowsChildren`

Fields inherited from class echopointng.treetable.AbstractTreeTableModel
`hierarchicalColumnClass, listenerList, root`

Constructor Summary
`DefaultTreeTableModel()`
`DefaultTreeTableModel(TreeNode root)`
`DefaultTreeTableModel(TreeNode root, boolean asksAllowsChildren)`

Method Summary
`boolean` | `asksAllowsChildren()`
`java.lang.Object` | `getValueAt(java.lang.Object node, int column)` Much like the `TableModel.getValueAt()` except that it asks for a value in the context of a `TreeModel` node.
`boolean` | `isLeaf(java.lang.Object node)` Returns true if the specified node is a leaf node; false otherwise.
`void` | `nodesChanged(TreeNode node, int[] childIndices)` Invoke this method after you've changed how the children identified by childIndicies are to be represented in the tree.
`void` | `nodeStructureChanged(TreeNode node)` Invoke this method if you've totally changed the children of node and its childrens children...
`void` | `nodesWereInserted(TreeNode node, int[] childIndices)` Invoke this method after you've inserted some TreeNodes into node.
`void` | `nodesWereRemoved(TreeNode node, int[] childIndices, java.lang.Object[] removedChildren)` Invoke this method after you've removed some TreeNodes from node.
`void` | `setAsksAllowsChildren(boolean newValue)`
`void` | `setRoot(TreeNode root)`

Methods inherited from class echopointng.treetable.AbstractTreeTableModel
`addTreeModelListener, fireTreeNodesChanged, fireTreeNodesInserted, fireTreeNodesRemoved, fireTreeStructureChanged, getChild, getChildCount, getColumnClass, getColumnCount, getColumnName, getIndexOfChild, getParent, getPathToRoot, getPathToRoot, getRoot, getTreeModelListeners, removeTreeModelListener, valueForPathChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### asksAllowsChildren

    protected boolean asksAllowsChildren

Constructor Detail

### DefaultTreeTableModel

    public DefaultTreeTableModel()

### DefaultTreeTableModel

    public DefaultTreeTableModel(TreeNode root)

### DefaultTreeTableModel

    public DefaultTreeTableModel(TreeNode root,
                                 boolean asksAllowsChildren)

Method Detail

### setRoot

    public void setRoot(TreeNode root)

### asksAllowsChildren

    public boolean asksAllowsChildren()

### setAsksAllowsChildren

    public void setAsksAllowsChildren(boolean newValue)

### getValueAt

    public java.lang.Object getValueAt(java.lang.Object node,
                                       int column)

  Description copied from interface: `TreeTableModel`
  Much like the `TableModel.getValueAt()` except that it asks for a value in the context of a `TreeModel` node.

  See Also:
    `TreeTableModel.getValueAt(java.lang.Object, int)`

### isLeaf

    public boolean isLeaf(java.lang.Object node)

  Description copied from class: `AbstractTreeTableModel`
  Returns true if the specified node is a leaf node; false otherwise.

  Specified by:
    `isLeaf` in interface `TreeModel`
  Overrides:
    `isLeaf` in class `AbstractTreeTableModel`
  Parameters:
    `node` -
  Returns:
    true if the specified node is a leaf node; false otherwise

### nodesWereInserted

    public void nodesWereInserted(TreeNode node,
                                  int[] childIndices)

  Invoke this method after you've inserted some TreeNodes into node. childIndices should be the index of the new elements and must be sorted in ascending order.

### nodesWereRemoved

    public void nodesWereRemoved(TreeNode node,
                                 int[] childIndices,
                                 java.lang.Object[] removedChildren)

  Invoke this method after you've removed some TreeNodes from node. childIndices should be the index of the removed elements and must be sorted in ascending order. And removedChildren should be the array of the children objects that were removed.

### nodesChanged

    public void nodesChanged(TreeNode node,
                             int[] childIndices)

  Invoke this method after you've changed how the children identified by childIndicies are to be represented in the tree.

### nodeStructureChanged

    public void nodeStructureChanged(TreeNode node)

  Invoke this method if you've totally changed the children of node and its childrens children... This will post a treeStructureChanged event.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD